Bug 26098 - JS error on the fund list view if no fund displayed
Summary: JS error on the fund list view if no fund displayed
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-30 09:01 UTC by Jonathan Druart
Modified: 2020-08-06 09:38 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26098: Fix JS error on the fund list view when no fund displayed (7.54 KB, patch)
2020-07-30 09:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26098: Fix JS error on the fund list view when no fund displayed (7.60 KB, patch)
2020-07-31 21:56 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26098: Fix JS error on the fund list view when no fund displayed (7.66 KB, patch)
2020-08-05 16:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-07-30 09:01:52 UTC
To recreate, go to the fund list view, select a filter that will return no result.
A JS error is displayed in the console:
    TypeError: this.data(...) is undefined
coming from jquery.treetable.js
Comment 1 Jonathan Druart 2020-07-30 09:03:04 UTC
Created attachment 107566 [details] [review]
Bug 26098: Fix JS error on the fund list view when no fund displayed

TypeError: this.data(...) is undefined
in jquery.treetable.js

Test plan:
Go to the fund list view
Select a filter that will return no result
=> With this patch applied there is no JS error in the console
Comment 2 Lucas Gass 2020-07-31 21:56:23 UTC
Created attachment 107657 [details] [review]
Bug 26098: Fix JS error on the fund list view when no fund displayed

TypeError: this.data(...) is undefined
in jquery.treetable.js

Test plan:
Go to the fund list view
Select a filter that will return no result
=> With this patch applied there is no JS error in the console

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2020-08-05 16:34:33 UTC
Created attachment 107847 [details] [review]
Bug 26098: Fix JS error on the fund list view when no fund displayed

TypeError: this.data(...) is undefined
in jquery.treetable.js

Test plan:
Go to the fund list view
Select a filter that will return no result
=> With this patch applied there is no JS error in the console

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-06 09:38:21 UTC
Pushed to master for 20.11, thanks to everybody involved!